Package: groovy.text.markup

## [Java] Class MarkupTemplateEngine.DefaultTemplateResolver

- groovy.text.markup.MarkupTemplateEngine.DefaultTemplateResolver

- All Implemented Interfaces and Traits:
    TemplateResolver

      public static class MarkupTemplateEngine.DefaultTemplateResolver
      extends Object
      implements TemplateResolver

  Default resolver that loads templates from the configured template class loader and applies locale fallback rules.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTemplateResolver()` Creates a resolver that loads templates from the configured template class loader.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)` * This method is called once the template engine is initialized, providing the resolver with the * template engine configuration and its template class loader. * Parameters: `templateClassLoader` - the classloader where templates will be searched for * `configuration` - the configuration of the template engine
    `` | `public URL` | `resolveTemplate(String templatePath)` * Resolvers must implement this method in order to resolve a template, given a template path. They * must return a valid URL or an IOException. * throws: IOException Parameters: `templatePath` - path to the template * Returns: the template URL, that will be used to load the template *

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public DefaultTemplateResolver()

      Creates a resolver that loads templates from the configured template class loader.

  - ### Method Detail

    - #### public void configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)

      * This method is called once the template engine is initialized, providing the resolver with the * template engine configuration and its template class loader. *

      Parameters:
        `templateClassLoader` - the classloader where templates will be searched for *
        `configuration` - the configuration of the template engine

    - #### public URL resolveTemplate(String templatePath)

      * Resolvers must implement this method in order to resolve a template, given a template path. They * must return a valid URL or an IOException. *

      throws:
        IOException
      Parameters:
        `templatePath` - path to the template *
      Returns:
        the template URL, that will be used to load the template *